<?php
namespace zin;
$repoID          = data('repoID');
$hasSystemServer = data('hasSystemServer');

global $lang;
jsVar('pipelineLang', $lang->job);

if($repoID && hasPriv('job', 'createPipeline') && $hasSystemServer)
{
    query('#actionBar')->replaceWith
    (
        btn
        (
            set::type('primary'),
            set::icon('plus'),
            set::url(inLink('createPipeline', "repoID={$repoID}")),
            set('data-toggle', 'modal'),
            $lang->job->createPipeline
        )
    );
}
